/[gentoo-alt]/trunk/toolchain-prefix-wrapper/configure.ac
Gentoo

Diff of /trunk/toolchain-prefix-wrapper/configure.ac

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1642 Revision 1643
56 [AC_HELP_STRING( 56 [AC_HELP_STRING(
57 [--with-macosx-version-min], 57 [--with-macosx-version-min],
58 [the minimum deployment target on Mac OS X, such as 10.4] 58 [the minimum deployment target on Mac OS X, such as 10.4]
59 )], 59 )],
60 [MIN_OSX_TARGET=$withval], 60 [MIN_OSX_TARGET=$withval],
61 [MIN_OSX_TARGET=yes] 61 [MIN_OSX_TARGET=auto]
62) 62)
63# We only "support" Panther, Tiger and Leopard
63case $ac_cv_host in 64case $ac_cv_host in
64 *-darwin*) 65 *-darwin*)
65 case "x${MIN_OSX_TARGET}" in 66 case "x${MIN_OSX_TARGET}" in
66 x10.[[345]]) ;; 67 x10.[[345]]) ;;
67 xno) 68 xno)
68 AC_ERROR([--with-macosx-version-min must be given on Mac OS X hosts]) 69 AC_ERROR([--with-macosx-version-min must be given on Mac OS X hosts])
70 ;;
71 xauto)
72 # auto guessing
73 case $ac_cv_host in
74 *-darwin7*)
75 MIN_OSX_TARGET=10.3
76 ;;
77 *-darwin8*)
78 MIN_OSX_TARGET=10.4
79 ;;
80 *-darwin9*)
81 MIN_OSX_TARGET=10.5
82 ;;
83 esac
69 ;; 84 ;;
70 *) 85 *)
71 AC_ERROR([need an explicit Mac OS X version number with --with-macosx-version-min]) 86 AC_ERROR([need an explicit Mac OS X version number with --with-macosx-version-min])
72 ;; 87 ;;
73 esac 88 esac

Legend:
Removed from v.1642  
changed lines
  Added in v.1643

  ViewVC Help
Powered by ViewVC 1.1.20